@REM Validate and Transform Utility Tool.
@REM
@REM Usage:
@REM    validateTransformUtility.cmd
@REM       [reset]    Optional argument to clear saved user preferences
@REM
@REM Example:
@REM    validateTransformUtility.cmd
@REM    validateTransformUtility.cmd reset
@SETLOCAL
@echo off

goto input

:usage
echo Usage:
echo    ValidateTransformUtility.cmd [reset]
echo Where:
echo    [reset]    Optional argument to clear saved user preferences
echo Examples:
echo    ValidateTransformUtility.cmd
echo    ValidateTransformUtility.cmd reset
goto finish

:input
set resetPrefs=%1

if not "%resetPrefs%" == "" (
   if not "%resetPrefs%" == "reset" (
      goto usage
   )
)

for %%i in (dir /b /s *.jar) do (
   set CLASSPATH=%%i
)

if not exist "%JAVA_HOME%" (
   java -cp %CLASSPATH% com.rtn.gga.sigvalidator.view.ValidationTransformerView %resetPrefs%
) else (
   "%JAVA_HOME%\bin\java" -cp %CLASSPATH% com.rtn.gga.sigvalidator.view.ValidationTransformerView %resetPrefs%
)

:finish
